---
template: overrides/main.html
title: Insiders
---

# Insiders

Material for MkDocs follows the _sponsorware_ release strategy, which means
that _new features are first exclusively released to sponsors_ as part of
__Insiders__. Read on to learn [how sponsorship works][1], and how easy it is
to [get access to Insiders][2].

<figure class="mdx-video" markdown="1">
  <div class="mdx-video__inner">
    <iframe src="https://streamable.com/e/q64w50" allowfullscreen></iframe>
  </div>
  <figcaption markdown="1">

The official documentation is built with Insiders
[squidfunk.github.io/mkdocs-material][3]

  </figcaption>
</figure>

  [1]: #how-sponsorship-works
  [2]: #how-to-become-a-sponsor
  [3]: https://squidfunk.github.io/mkdocs-material/

## How sponsorship works

New features first land in Insiders, so _eligible sponsors have immediate
access_. Every feature is tied to a funding goal in monthly subscriptions.
When a funding goal is hit, the features that are tied to it are merged back
into Material for MkDocs and released for general availability. Bugfixes are
always released simultaneously in both editions.[^1]

  [^1]:
    You may ask yourself why you should pay for something that is Open Source.
    Doesn't that contradict the ethos of Open Source software? Yes and no. Yes,
    some features are locked behind a monthly subscription, which means they are
    only accessible when paying a small amount of money. No, the features are
    only exclusive for a short time until specific funding goals are hit. Making
    an Open Source project sustainable is exceptionally hard: maintainers burn
    out, projects are abandoned. That's not great and very unpredictable. The
    sponsorware model ensures that if you decide to use Material for MkDocs,
    you can be sure that bugs are fixed quickly and new features are added
    regularly.

_Don't want to sponsor? No problem, Material for MkDocs already has tons of
features available, so chances are that most of your requirements are already
satisfied. See the [list of exclusive features][4] to learn which features are
currently only available to sponsors._

  [4]: #exclusive-features

## How to become a sponsor

You can become an eligible sponsor with your individual or organization's GitHub
account. Visit __[squidfunk's sponsor profile][5]__, pick any tier __from
$10/month__[^2], and complete the checkout. Then, after a few hours, @squidfunk
will add you as a collaborator to the super-secret private GitHub repositority
containing the Insiders edition, which contains all [brand new and exclusive
features][4].

__Important__: If you're sponsoring @squidfunk through a GitHub organization,
please send a short email to sponsors@squidfunk.com with the name of your
organization and the account that should be added as a collaborator.[^3]

You can cancel your sponsorship anytime.[^4]

  [^2]:
    Note that $10/month is the minimum amount to become eligible for Insiders.
    If you sponsor with a lower amount, it's still very much appreciated, but
    you won't be granted access to Insiders. Custom amounts of $10+ are also
    eligible.

  [^3]:
    It's currently not possible to grant access to each member of an
    organization, as GitHub only allows for adding users. Thus, after
    sponsoring, please send an email to sponsors@squidfunk.com, stating which
    account should become a collaborator of the Insiders repository. We're
    working on a solution which will make access to organizations much simpler.
    To ensure that access is not tied to a particular individual GitHub account,
    create a bot account (i.e. a GitHub account that is not tied to a specific
    individual), and use this account for the sponsoring. After being added to
    the list of collaborators, the bot account can create a private fork of the
    private Insiders GitHub repository, and grant access to all members of the
    organizations.

  [^4]:
    If you cancel your sponsorship, GitHub schedules a cancellation request
    which will become effective at the end of the billing cycle. This means
    that even though you cancel your sponsorship, you will keep your access to
    Insiders as long as your cancellation isn't effective. All charges are
    processed by GitHub through Stripe. As we don't receive any information
    regarding your payment, and GitHub doesn't offer refunds, sponsorships are
    non-refundable.

[:octicons-heart-fill-24:{ .mdx-heart } &nbsp; Join our <span class="mdx-sponsorship-count" data-mdx-component="sponsorship-count"></span> awesome sponsors][5]{ .md-button .md-button--primary .mdx-sponsorship-button }

<div class="mdx-sponsorship" data-mdx-component="sponsorship" hidden>
  <div class="mdx-sponsorship__list"></div>
  <small>
    If you sponsor publicly, you're automatically added here with a link to
    your profile and avatar to show your support for Material for MkDocs.
    Alternatively, if you wish to keep your sponsorship private, you'll be a
    silent +1. You can select visibility during checkout and change it
    afterwards.
  </small>
</div>

  [5]: https://github.com/sponsors/squidfunk

## Exclusive features

The following features are currently exclusively available to sponsors:

<div class="mdx-columns" markdown="1">

- [x] [Social cards :material-new-box:][34]
- [x] [Cookie consent :material-new-box:][33]
- [x] [Linking content tabs :material-new-box:][32]
- [x] [Boosting pages in search][30]
- [x] [Tags (with search integration)][29]
- [x] [Stay on page when switching versions][28]
- [x] [Version warning][26]
- [x] [Custom admonition icons][31]
- [x] [Code block annotations][25]
- [x] [Anchor tracking ][24]
- [x] [Section index pages][22]
- [x] [Sticky navigation tabs][21]
- [x] [Mermaid.js integration][27]
- [x] [Remove generator notice][23]

</div>

_New features are added to this list every few weeks, so be sure to come back
from time to time to learn about what's new, or follow [@squidfunk on 
:fontawesome-brands-twitter:{ .twitter } Twitter][6] to stay updated._

  [6]: https://twitter.com/squidfunk

## Funding <span class="mdx-sponsorship-total" data-mdx-component="sponsorship-total"></span>

### Goals

Following is a list of funding goals. When a funding goal is hit, the features
that are tied to it are merged back into Material for MkDocs and released to
the public for general availability.

#### $ 3,000 – Caribbean Red

- [x] [Sticky navigation tabs][21]
- [x] [Section index pages][22]
- [x] [Remove generator notice][23]

  [21]: ../setup/setting-up-navigation.md#sticky-navigation-tabs
  [22]: ../setup/setting-up-navigation.md#section-index-pages
  [23]: ../setup/setting-up-the-footer.md#remove-generator

#### $ 4,000 – Ghost Pepper

- [x] [Anchor tracking][24]
- [x] [Code block annotations][25]
- [x] [Version warning][26]

[24]: ../setup/setting-up-navigation.md#anchor-tracking
[25]: ../reference/code-blocks.md#adding-annotations
[26]: ../setup/setting-up-versioning.md#version-warning

#### $ 5,000 – Aji Panca

- [x] [Mermaid.js integration][27]
- [x] [Stay on page when switching versions][28]
- [x] [Tags (with search integration)][29]

  [27]: ../reference/diagrams.md
  [28]: ../setup/setting-up-versioning.md#stay-on-page
  [29]: ../setup/setting-up-tags.md

#### $ 6,000 – Trinidad Scorpion

- [x] [Boosting pages in search][30]
- [x] [Custom admonition icons][31]
- [x] [Linking content tabs][32]

  [30]: ../setup/setting-up-site-search.md#boosting-a-page
  [31]: ../reference/admonitions.md#changing-the-icons
  [32]: ../reference/content-tabs.md#linking-content-tabs

#### $ 7,000 – Royal Gold

- [x] [Cookie consent][33]
- [ ] Improved search result summaries
- [ ] List of last searches

  [33]: ../setup/setting-up-site-analytics.md#cookie-consent

#### $ 8,000 – Scotch Bonnet

- [x] [Social cards][34]
- [ ] Stay on page when switching languages
- [ ] Table of contents follows active anchor

  [34]: ../setup/setting-up-social-cards.md

#### Future

- [ ] [Material for MkDocs Live Edit][35]
- [ ] New layouts and styles
- [ ] Code block palette toggle
- [ ] Native lightbox integration
- [ ] Table of contents auto-collapse

  [35]: https://twitter.com/squidfunk/status/1338252230265360391

### Goals completed

#### $ 2,500 – Biquinho Vermelho

- [x] [Search suggestions][18]
- [x] [Search highlighting][19]
- [x] [Search sharing][20]

  [18]: ../setup/setting-up-site-search.md#search-suggestions
  [19]: ../setup/setting-up-site-search.md#search-highlighting
  [20]: ../setup/setting-up-site-search.md#search-sharing

#### $ 2,000 – Black Pearl

- [x] Latest release tag
- [x] [Color palette toggle][16]
- [x] [Back-to-top button][17]

  [16]: ../setup/changing-the-colors.md#color-palette-toggle
  [17]: ../setup/setting-up-navigation.md#back-to-top-button

#### $ 1,500 – Bhut Jolokia

- [x] [Admonition inline blocks][12]
- [x] [Site language selection][13]
- [x] [Versioning][14]

  [12]: ../reference/admonitions.md#inline-blocks
  [13]: ../setup/changing-the-language.md#site-language-selector
  [14]: ../setup/setting-up-versioning.md#versioning

#### $ 1,000 – Prairie Fire

- [x] [Navigation sections][7]
- [x] [Navigation expansion][8]
- [x] [Hiding the sidebars][9]
- [x] [Table of contents in navigation][10]
- [x] [Header hides on scroll][11]

  [7]: ../setup/setting-up-navigation.md#navigation-sections
  [8]: ../setup/setting-up-navigation.md#navigation-expansion
  [9]: ../setup/setting-up-navigation.md#hiding-the-sidebars
  [10]: ../setup/setting-up-navigation.md#navigation-integration
  [11]: ../setup/setting-up-the-header.md#automatic-hiding

#### $ 500 – Madame Jeanette

- [x] Improved search result grouping
- [x] Improved search result relevance and scoring
- [x] Missing query terms in search results

## Frequently asked questions

### Compatibility

_We're running an open source project and want to make sure that users can build
the documentation without having access to Insiders. Is this still possible?_

Yes. Insiders is compatible with Material for MkDocs. All new features are
implemented behind feature flags; all configuration changes are 
backward-compatible. This means that your users will be able to build the
documentation locally with Material for MkDocs and when they push their changes,
it can be built with Insiders (e.g. as part of GitHub Actions). Thus, it's
recommended to [install Insiders][36] only in CI, as you don't want to expose
your `GH_TOKEN` to users.

  [36]: ../publishing-your-site.md#github-pages

### Payment

_We don't want to pay for sponsorship every month. Are there any other options?_

Yes. You can sponsor on a yearly basis by [switching your GitHub account to a
yearly billing cycle][37]. If for some reason you cannot do that, you could
also create a dedicated GitHub account with a yearly billing cycle, which you
only use for sponsoring (some sponsors already do that).

If you have any problems or further questions, don't hesitate to contact me at
sponsors@squidfunk.com. Note that one-time payments are not eligible for
Insiders, but of course, very appreciated.

  [37]: https://docs.github.com/en/github/setting-up-and-managing-billing-and-payments-on-github/changing-the-duration-of-your-billing-cycle

### Terms

_We're using Material for MkDocs to build the developer documentation of a
commercial project. Can we use Insiders under the same terms and conditions?_

Yes. Whether you're an individual or a company, you may use _Material for MkDocs
Insiders_ precisely under the same terms as Material for MkDocs, which are given
by the [MIT license][38]. However, we kindly ask you to respect the following
guidelines:

- Please __don't distribute the source code__ of Insiders. You may freely use
  it for public, private or commercial projects, fork it, mirror it, do whatever
  you want with it, but please don't release the source code, as it would
  counteract the sponsorware strategy.

- If you cancel your subscription, you're removed as a collaborator and will
  miss out on future updates of Insiders. However, you may __use the latest
  version__ that's available to you __as long as you like__. Just remember that
  [GitHub deletes private forks][39].

  [38]: ../license.md
  [39]: https://docs.github.com/en/github/setting-up-and-managing-your-github-user-account/removing-a-collaborator-from-a-personal-repository
